# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXIterateArray

Function

Iterates through an Array.

Syntax
`
#include <dx/dx.h>
`

Pointer DXIterateArray(ArrayHandle handle, int offset,
Pointer last, Pointer scratch)

Functional Details

This routine can be used when an Array is accessed sequentially. The Array handle `handle` is that obtained through the use of `DXCreateArrayHandle`.

If the Array is constant, a pointer to the constant value is immediately returned. If the Array is irregular and the given `offset` is 0, the Array data pointer (which is a pointer to the 0th element of the Array) is returned. If the `offset` is not 0, then the `last` parameter should point to the prior Array element, and (`last` + itemSize) is returned, where itemSize is the size in bytes of an item of the Array described by `handle`. If the Array is compact, the desired element is calculated. `scratch` should be of a size large enough to hold a single Array item.

Return Value

Returns a pointer to the next item in an Array or returns `NULL` (but does not set an error) code when there are no more items.

See Also

`DXCreateArrayHandle, DXFreeArrayHandle, DXGetArrayEntry, DXGetArrayEntries, DXGetItemSize`

"Array Handling".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]